/* Use default font rendering. */

* {
	-webkit-font-smoothing: auto;
}

.book-summary {
	font: 16px 'Iowan Old Style', Constantia, Georgia, serif;
}

/* Set the heading at the top of a page in small caps. */

.book-header h1 a,
.book-header h1 a:hover {
	font-family: 'Iowan Old Style', Constantia, Georgia, serif;
	font-weight: normal;
	font-size: 13px;
	text-transform: uppercase;
	letter-spacing: 0.075em;
}

.markdown-section .intro {
	background-color: gray;
	background-repeat: no-repeat;
	background-size: cover;
	height: 66vh;
	position: relative;
	margin-bottom: 1em;
}

.markdown-section .intro.intro-path {
	background-image: url('../path.jpeg');
	background-position: bottom center;
}

.markdown-section .intro.links {
	background-image: url('../text-and-links/links.jpeg');
}

.markdown-section .intro.modifiers-inserts {
	background-image: url('../modifiers-and-inserts/letterblocks.jpeg');
}

.markdown-section .intro.state {
	background-image: url('../state/chess.jpeg');
	background-position: bottom;
}

.markdown-section .intro.multimedia {
	background-image: url('../multimedia/slides.jpeg');
}

.markdown-section .intro.customization {
	background-image: url('../customization/clothes.jpeg');
}

.markdown-section .intro.input {
	background-image: url('../player-input/microphone.jpeg');
}

.markdown-section .intro.advanced {
	background-image: url('../advanced/controls.jpeg');
}

.markdown-section .intro.references {
	background-image: url('../references/books.jpeg');
}

.markdown-section .intro h1 {
	margin: 0;
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	text-align: right;
	padding: 0.2em;
	font-size: 1.8em;
	color: white;
	background: black;
}

.markdown-section .intro.path {
	background-image: url('../path.jpeg');
	background-position: bottom center;
}

.markdown-section p {
	font-size: 18px;
}

/* Force line wrapping in code examples. */

.markdown-section pre > code {
	white-space: pre-wrap;
}

/* Make superscripts smaller. */

.markdown-section sup {
	font-size: 75%;
}

/* Make footnotes look like regular text. */

.markdown-section blockquote[id^='fn_'] {
	color: inherit;
	border-left: none;
	padding: 0;
}

.markdown-section blockquote[id='fn_1'] {
	margin-top: 3em;
	padding-top: 1em;
	border-top: 1px solid #333;
}

/* Don't put a background around code. */

.markdown-section code {
	font-size: 90%;
	background: none;
	padding: 0;
}

.markdown-section code::before,
.markdown-section code::after {
	display: none;
}

/* Hide font selector. */

.font-settings .buttons:nth-child(3) {
	display: none;
}

/*
Tighten leading.
*/

.markdown-section {
	line-height: 1.4;
}

/*
Use the Chapbook font family, and slightly larger than normal text to
accommodate it.
*/

.book.font-family-1 {
	font-family: 'Iowan Old Style', Constantia, Georgia, serif;
}

/* &nbsp; shows up larger than a regular space with our font. */

span.widont {
	display: inline-block;
	max-width: 0.3em;
}

/* Avoid boldface for headings. */

.markdown-section h1,
.markdown-section h2,
.markdown-section h3 {
	font-weight: normal;
}

.markdown-section h1 {
	font-size: 1.8em;
}

.markdown-section h2 {
	font-style: italic;
	font-size: 1.2em;
}

.markdown-section h3 {
	text-transform: uppercase;
	letter-spacing: 0.08em;
	font-size: 0.7em;
	margin-bottom: 0.4em;
}

/* Give some additional space around tables. */

.markdown-section table {
	margin: 2em 0;
}

/* Use small caps for table headings. */

.markdown-section table th {
	font-weight: normal;
	text-transform: uppercase;
	font-size: 70%;
	letter-spacing: 0.08em;
}

/* Remove some unnecessary table borders and backgrounds. */

.markdown-section table th,
.markdown-section table tr:first-child {
	border-top: none;
}

.markdown-section table tr:last-child td {
	border-bottom: none;
}

.markdown-section table td:first-child,
.markdown-section table th:first-child {
	border-left: none;
}

.markdown-section table td:last-child,
.markdown-section table th:last-child {
	border-right: none;
}

.markdown-section table tr:nth-child(2n) {
	background: none;
}

/* Don't bold definition lists. */

.markdown-section dl dt {
	font-weight: normal;
	font-style: normal;
}

.markdown-section dl dd {
	padding: 0 0 0 2em;
}

/*
Hints
(colors come from open-color, icons from Bootstrap icons)
*/

.markdown-section aside[data-hint] {
	background: #f6f7f6;
	background-position: 1em 1em;
	background-repeat: no-repeat;
	background-size: 24px;
	padding: 1em 1em 1em calc(1em + 42px);
}

.markdown-section aside[data-hint] + aside[data-hint] {
	margin-top: calc(1em + 12px);
}

.markdown-section aside[data-hint] code {
	background: none;
}

.markdown-section aside[data-hint] :first-child {
	margin-top: 0;
}

.markdown-section aside[data-hint] :last-child {
	margin-bottom: 0;
}

.markdown-section aside[data-hint="danger"] {
	background-color: #fff5f5;
	background-image: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxNiIgaGVpZ2h0PSIxNiIgZmlsbD0iI2M5MmEyYSIgY2xhc3M9ImJpIGJpLWV4Y2xhbWF0aW9uLXRyaWFuZ2xlLWZpbGwiIHZpZXdCb3g9IjAgMCAxNiAxNiI+CiAgPHBhdGggZD0iTTguOTgyIDEuNTY2YTEuMTMgMS4xMyAwIDAgMC0xLjk2IDBMLjE2NSAxMy4yMzNjLS40NTcuNzc4LjA5MSAxLjc2Ny45OCAxLjc2N2gxMy43MTNjLjg4OSAwIDEuNDM4LS45OS45OC0xLjc2N0w4Ljk4MiAxLjU2NnpNOCA1Yy41MzUgMCAuOTU0LjQ2Mi45Ljk5NWwtLjM1IDMuNTA3YS41NTIuNTUyIDAgMCAxLTEuMSAwTDcuMSA1Ljk5NUEuOTA1LjkwNSAwIDAgMSA4IDV6bS4wMDIgNmExIDEgMCAxIDEgMCAyIDEgMSAwIDAgMSAwLTJ6Ii8+Cjwvc3ZnPg==');
}

.markdown-section aside[data-hint="info"] {
	background-color: #e7f5ff;
	background-image: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxNiIgaGVpZ2h0PSIxNiIgZmlsbD0iIzE4NjRhYiIgY2xhc3M9ImJpIGJpLWluZm8tY2lyY2xlLWZpbGwiIHZpZXdCb3g9IjAgMCAxNiAxNiI+CiAgPHBhdGggZD0iTTggMTZBOCA4IDAgMSAwIDggMGE4IDggMCAwIDAgMCAxNnptLjkzLTkuNDEyLTEgNC43MDVjLS4wNy4zNC4wMjkuNTMzLjMwNC41MzMuMTk0IDAgLjQ4Ny0uMDcuNjg2LS4yNDZsLS4wODguNDE2Yy0uMjg3LjM0Ni0uOTIuNTk4LTEuNDY1LjU5OC0uNzAzIDAtMS4wMDItLjQyMi0uODA4LTEuMzE5bC43MzgtMy40NjhjLjA2NC0uMjkzLjAwNi0uMzk5LS4yODctLjQ3bC0uNDUxLS4wODEuMDgyLS4zODEgMi4yOS0uMjg3ek04IDUuNWExIDEgMCAxIDEgMC0yIDEgMSAwIDAgMSAwIDJ6Ii8+Cjwvc3ZnPg==');
}

.markdown-section aside[data-hint="working"] {
	background-color: #f4fce3;
	background-image: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxNiIgaGVpZ2h0PSIxNiIgZmlsbD0iIzVjOTQwZCIgY2xhc3M9ImJpIGJpLXN0YXJzIiB2aWV3Qm94PSIwIDAgMTYgMTYiPgogIDxwYXRoIGQ9Ik03LjY1NyA2LjI0N2MuMTEtLjMzLjU3Ni0uMzMuNjg2IDBsLjY0NSAxLjkzN2EyLjg5IDIuODkgMCAwIDAgMS44MjkgMS44MjhsMS45MzYuNjQ1Yy4zMy4xMS4zMy41NzYgMCAuNjg2bC0xLjkzNy42NDVhMi44OSAyLjg5IDAgMCAwLTEuODI4IDEuODI5bC0uNjQ1IDEuOTM2YS4zNjEuMzYxIDAgMCAxLS42ODYgMGwtLjY0NS0xLjkzN2EyLjg5IDIuODkgMCAwIDAtMS44MjgtMS44MjhsLTEuOTM3LS42NDVhLjM2MS4zNjEgMCAwIDEgMC0uNjg2bDEuOTM3LS42NDVhMi44OSAyLjg5IDAgMCAwIDEuODI4LTEuODI4bC42NDUtMS45Mzd6TTMuNzk0IDEuMTQ4YS4yMTcuMjE3IDAgMCAxIC40MTIgMGwuMzg3IDEuMTYyYy4xNzMuNTE4LjU3OS45MjQgMS4wOTcgMS4wOTdsMS4xNjIuMzg3YS4yMTcuMjE3IDAgMCAxIDAgLjQxMmwtMS4xNjIuMzg3QTEuNzM0IDEuNzM0IDAgMCAwIDQuNTkzIDUuNjlsLS4zODcgMS4xNjJhLjIxNy4yMTcgMCAwIDEtLjQxMiAwTDMuNDA3IDUuNjlBMS43MzQgMS43MzQgMCAwIDAgMi4zMSA0LjU5M2wtMS4xNjItLjM4N2EuMjE3LjIxNyAwIDAgMSAwLS40MTJsMS4xNjItLjM4N0ExLjczNCAxLjczNCAwIDAgMCAzLjQwNyAyLjMxbC4zODctMS4xNjJ6TTEwLjg2My4wOTlhLjE0NS4xNDUgMCAwIDEgLjI3NCAwbC4yNTguNzc0Yy4xMTUuMzQ2LjM4Ni42MTcuNzMyLjczMmwuNzc0LjI1OGEuMTQ1LjE0NSAwIDAgMSAwIC4yNzRsLS43NzQuMjU4YTEuMTU2IDEuMTU2IDAgMCAwLS43MzIuNzMybC0uMjU4Ljc3NGEuMTQ1LjE0NSAwIDAgMS0uMjc0IDBsLS4yNTgtLjc3NGExLjE1NiAxLjE1NiAwIDAgMC0uNzMyLS43MzJMOS4xIDIuMTM3YS4xNDUuMTQ1IDAgMCAxIDAtLjI3NGwuNzc0LS4yNThjLjM0Ni0uMTE1LjYxNy0uMzg2LjczMi0uNzMyTDEwLjg2My4xeiIvPgo8L3N2Zz4=');
}
